# Module sup_dht_node

- Description
- Function Index
- Function Details

Supervisor for each DHT node that is responsible for keeping processes running that run for themselves.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `supervisor`.

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Supervisor for each DHT node that is responsible for keeping processes running that run for themselves.

If one of the supervised processes fails, only the failed process will be re-started!

## Function Index

childs/1 |
init/1 |
start_link/1 |
supspec/1 |

## Function Details

### start_link/1

    start_link(X1 ::
                   {DHTNodeGroup :: pid_groups:groupname(),
                    Options :: [tuple()]}) ->
                  {ok, Pid :: pid(), pid_groups:groupname()} |
                  ignore |
                  {error,
                   Error ::
                       {already_started, Pid :: pid()} |
                       shutdown |
                       term()}

### init/1

    init(X :: [{pid_groups:groupname(), [tuple()]}]) ->
            {ok,
             {{one_for_one,
               MaxRetries :: pos_integer(),
               PeriodInSeconds :: pos_integer()},
              []}}

### supspec/1

    supspec(X1 :: any()) ->
               {ok,
                {{one_for_one,
                  MaxRetries :: pos_integer(),
                  PeriodInSeconds :: pos_integer()},
                 []}}

### childs/1

    childs(X1 :: [{pid_groups:groupname(), Options :: [tuple()]}]) ->
              [ProcessDescr :: supervisor:child_spec()]

Generated by EDoc, Feb 29 2016, 16:12:21.